package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 餐饮套餐子商品表
 * @author nianchang
 * @ClassName wmOrderGiveGoods
 * @date 2021/05/19 2:47 下午
 */
public class WmOrderGiveGoods {

    private Long id;

    /**
     * 对应订单中心sellerId
     */
    private Long storeId;

    private Long orderId;

    private String externalId;

    private String entityId;

    private String name;

    private Integer num;

    private Long orderGoodsId;

    private String spec;

    private String property;

    private Date createdAt;

    private Date updatedAt;

    private Long groupId;

    private Integer isMashup;

    private BigDecimal price;

    private String tradeMark;

    private String productNo;

    private String barcode;

    private String orderNo;

    private String groupTradeMark;

    private BigDecimal originalPrice;

    private String image;

    private BigDecimal packAmount;

    private String packingMark;

    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getExternalId() {
        return externalId;
    }

    public void setExternalId(String externalId) {
        this.externalId = externalId;
    }

    public String getEntityId() {
        return entityId;
    }

    public void setEntityId(String entityId) {
        this.entityId = entityId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Long getOrderGoodsId() {
        return orderGoodsId;
    }

    public void setOrderGoodsId(Long orderGoodsId) {
        this.orderGoodsId = orderGoodsId;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Integer getIsMashup() {
        return isMashup;
    }

    public void setIsMashup(Integer isMashup) {
        this.isMashup = isMashup;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getTradeMark() {
        return tradeMark;
    }

    public void setTradeMark(String tradeMark) {
        this.tradeMark = tradeMark;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGroupTradeMark() {
        return groupTradeMark;
    }

    public void setGroupTradeMark(String groupTradeMark) {
        this.groupTradeMark = groupTradeMark;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public BigDecimal getPackAmount() {
        return packAmount;
    }

    public void setPackAmount(BigDecimal packAmount) {
        this.packAmount = packAmount;
    }

    public String getPackingMark() {
        return packingMark;
    }

    public void setPackingMark(String packingMark) {
        this.packingMark = packingMark;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
